# Class CIM_ActsAsSpare

The ActsAsSpare association indicates which elements can spare or replace the other aggregated elements. The fact that a spare can operate in "hot standby" mode is specified on an element by element basis. The use of this class is being deprecated in lieu of using the IsSpare relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ActsAsSpare

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_IsSpare
Description | string | The ActsAsSpare association indicates which elements can spare or replace the other aggregated elements. The fact that a spare can operate in "hot standby" mode is specified on an element by element basis. The use of this class is being deprecated in lieu of using the IsSpare relationship.
UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.8.1000

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HotStandby | boolean |
Deprecated | string | CIM_IsSpare.SpareStatus
Description | string | HotStandby is a boolean indicating that the spare is operating as a hot standby.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Group | CIM_ActsAsSpare | CIM_SpareGroup
Spare | CIM_ActsAsSpare | CIM_ManagedSystemElement

## Class Methods